Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem

Enclosing interface:
  SAGMessage.SAGEnvelope.SAGNamedItemList

    public static interface SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem

It is for Named Item.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:22 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getItemName()` Gets the item name.
`java.lang.String` | `getItemValue()` Gets the item value.
`SAGMessage.SAGEnvelope.SAGNamedItemList` | `getNamedItemList()` Returns the named item list.
`boolean` | `isItemList()` Returns Boolean value - is item list.
`void` | `setItemName(java.lang.String name)` Sets the item name.
`void` | `setItemValue(java.lang.String value)` Sets the item value.
`void` | `setNamedItemList(SAGMessage.SAGEnvelope.SAGNamedItemList itemList)` Sets the named item list.

Method Detail

### setItemName

    void setItemName(java.lang.String name)

  Sets the item name.

  Parameters:
    `name` -

### setItemValue

    void setItemValue(java.lang.String value)

  Sets the item value.

  Parameters:
    `value` -

### setNamedItemList

    void setNamedItemList(SAGMessage.SAGEnvelope.SAGNamedItemList itemList)

  Sets the named item list.

  Parameters:
    `itemList` -

### getItemName

    java.lang.String getItemName()

  Gets the item name.

  Returns:
    `String` - Returns the item name.
  Throws:
    None.

### getItemValue

    java.lang.String getItemValue()

  Gets the item value.

  Returns:
    `String` - Returns the item value.
  Throws:
    None.

### getNamedItemList

    SAGMessage.SAGEnvelope.SAGNamedItemList getNamedItemList()

  Returns the named item list.

  Returns:
    `SAGNamedItemList` - Returns the named item list.
  Throws:
    None.

### isItemList

    boolean isItemList()

  Returns Boolean value - is item list.

  Returns:
    `boolean` - Returns Boolean - is item list.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.